## FlatpakBundleRef

FlatpakBundleRef — Application bundle reference

## Functions

FlatpakBundleRef * | flatpak_bundle_ref_new ()
GFile * | flatpak_bundle_ref_get_file ()
GBytes * | flatpak_bundle_ref_get_metadata ()
GBytes * | flatpak_bundle_ref_get_appstream ()
GBytes * | flatpak_bundle_ref_get_icon ()
char * | flatpak_bundle_ref_get_origin ()
guint64 | flatpak_bundle_ref_get_installed_size ()
char * | flatpak_bundle_ref_get_runtime_repo_url ()

## Properties

GFile * | file | Read / Write / Construct Only

## Types and Values

struct | FlatpakBundleRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakBundleRef

## Description

A FlatpakBundleRef refers to a single-file bundle containing an application or runtime.

## Functions

### flatpak_bundle_ref_new ()

    FlatpakBundleRef *
    flatpak_bundle_ref_new (GFile *file,
                            GError **error);

Creates a new bundle ref for the given file.

#### Parameters

file | a GFile |
error | return location for an error. | [allow-none]

#### Returns

a new bundle ref.

### flatpak_bundle_ref_get_file ()

    GFile *
    flatpak_bundle_ref_get_file (FlatpakBundleRef *self);

Get the file this bundle is stored in.

#### Parameters

self | a FlatpakBundleRef |

#### Returns

(transfer full) : an GFile

### flatpak_bundle_ref_get_metadata ()

    GBytes *
    flatpak_bundle_ref_get_metadata (FlatpakBundleRef *self);

Get the metadata for the app/runtime

#### Parameters

self | a FlatpakBundleRef |

#### Returns

(transfer full) : an GBytes with the metadata contents, or `NULL`

### flatpak_bundle_ref_get_appstream ()

    GBytes *
    flatpak_bundle_ref_get_appstream (FlatpakBundleRef *self);

Get the compressed appstream for the app/runtime

#### Parameters

self | a FlatpakBundleRef |

#### Returns

(transfer full) : an GBytes with the appstream contents, or `NULL`

### flatpak_bundle_ref_get_icon ()

    GBytes *
    flatpak_bundle_ref_get_icon (FlatpakBundleRef *self,
                                 int size);

Get the icon png data for the app/runtime

#### Parameters

self | a FlatpakBundleRef |
size | 64 or 128 |

#### Returns

(transfer full) : an GBytes with png contents

### flatpak_bundle_ref_get_origin ()

    char *
    flatpak_bundle_ref_get_origin (FlatpakBundleRef *self);

Get the origin url stored in the bundle

#### Parameters

self | a FlatpakBundleRef |

#### Returns

(transfer full) : an url string, or `NULL`

### flatpak_bundle_ref_get_installed_size ()

    guint64
    flatpak_bundle_ref_get_installed_size (FlatpakBundleRef *self);

Returns the installed size for the bundle.

#### Parameters

self | a FlatpakBundleRef |

#### Returns

the installed size

### flatpak_bundle_ref_get_runtime_repo_url ()

    char *
    flatpak_bundle_ref_get_runtime_repo_url
                                   (FlatpakBundleRef *self);

Get the runtime flatpakrepo url stored in the bundle (if any)

#### Parameters

self | a FlatpakBundleRef |

#### Returns

(transfer full) : an url string, or `NULL`

Since: 0.8.0

## Types and Values

### struct FlatpakBundleRef

    struct FlatpakBundleRef;

## Property Details

### The `“file”` property

      “file”                     GFile *

The bundle file that this ref refers to.

Owner: FlatpakBundleRef

Flags: Read / Write / Construct Only